Skip to main content
GET
Get List by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

list.read

View Lists, members, and followers of Lists you created or are a member of, including private Lists.

tweet.read

View all Posts you can see, including those from protected accounts.

users.read

View any account you can see, including protected accounts.

Path Parameters

id
string
required

The ID of the List. The unique identifier of this List.

Pattern: ^[0-9]{1,19}$
Example:

"1146654567674912769"

Query Parameters

list.fields
enum<string>[]

A comma separated list of List fields to display. The fields available for a List object.

Minimum array length: 1
Available options:
created_at,
description,
follower_count,
id,
member_count,
name,
owner_id,
private
Example:
expansions
enum<string>[]

A comma separated list of fields to expand. The list of fields you can expand for a List object. If the field has an ID, it can be expanded into a full object.

Minimum array length: 1
Available options:
owner_id
Example:
user.fields
enum<string>[]

A comma separated list of User fields to display. The fields available for a User object.

Minimum array length: 1
Available options:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Example:

Response

The request has succeeded.

data
object

A X List is a curated group of accounts.

errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

includes
object